Create a wallet grant

Requires the WALLET_GRANT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstring or nullRequired
The ID of the customer.
billing_entity_idstring or nullRequired
The ID of the billing entity granting the wallet grant.
wallet_idstring or nullRequired
The ID of the wallet.
typeenumOptional
The type of wallet grant.
seatobject or nullOptional

The seat this grant is restricted to. Only set when the source is PER_SEAT.

over_grantedobject or nullOptional

The part of this grant beyond what the period’s paid-for seats account for, judged at issuance.

descriptionstring or nullOptionalformat: "^.*$"0-256 characters
The description of the wallet grant.
grant_amountobjectOptional
The value of the grant in case of an amount wallet type.
grant_creditsobjectOptional
The value of the grant in case of a credits wallet type.
paid_amountobjectOptional
start_atdatetime or nullOptional
expire_atdatetime or nullOptional

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
customer_idstring or nullOptional
The ID of the customer.
billing_entity_idstring or nullOptional
The ID of the billing entity granting the wallet grant.
wallet_idstring or nullOptional
The ID of the wallet.
typeenumOptional
The type of wallet grant.
sourceenum or nullOptionalRead-only
What the grant quantity was derived from at issuance. Not set for manually created grants.
seatobject or nullOptional

The seat this grant is restricted to. Only set when the source is PER_SEAT.

over_grantedobject or nullOptional

The part of this grant beyond what the period’s paid-for seats account for, judged at issuance.

descriptionstring or nullOptionalformat: "^.*$"0-256 characters
The description of the wallet grant.
grant_amountobjectOptional
The value of the grant in case of an amount wallet type.
grant_creditsobjectOptional
The value of the grant in case of a credits wallet type.
paid_amountobjectOptional
start_atdatetime or nullOptional
expire_atdatetime or nullOptional
created_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error